package com.ffii.fhsmsc.modules.file.entity;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;

/** @author Jason Lam */
@Entity
@Table(name = "file_blob")
public class FileBlob extends BaseEntity<Long>{
    @Column
	private Long id;

    @Column
	private Long fileId;
    
	@Column
	private byte[] bytes;

    public Long getFileId() {
        return this.fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public byte[] getBytes() {
        return this.bytes;
    }

    public void setBytes(byte[] bytes) {
        this.bytes = bytes;
    }

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

}

